PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Interrupt
PDL API Reference » SD Host (SD Host Controller) » Functions

## General Description

## Functions
__STATIC_INLINE uint32_t | Cy_SD_Host_GetNormalInterruptStatus (SDHC_Type const *base)
| Returns the normal Int Status register. More...
__STATIC_INLINE void | Cy_SD_Host_ClearNormalInterruptStatus (SDHC_Type *base, uint32_t status)
| Clears the selected SD host normal status. More...
__STATIC_INLINE void | Cy_SD_Host_SetNormalInterruptEnable (SDHC_Type *base, uint32_t interrupt)
| Sets the bit to be active in the Int status register. More...
__STATIC_INLINE uint32_t | Cy_SD_Host_GetNormalInterruptEnable (SDHC_Type const *base)
| Returns which normal interrupts are enabled. More...
__STATIC_INLINE void | Cy_SD_Host_SetNormalInterruptMask (SDHC_Type *base, uint32_t interruptMask)
| Setting a bit in this register allows the enabled status to cause an interrupt. More...
__STATIC_INLINE uint32_t | Cy_SD_Host_GetNormalInterruptMask (SDHC_Type const *base)
| Returns which normal interrupts are masked to cause an interrupt. More...
__STATIC_INLINE uint32_t | Cy_SD_Host_GetErrorInterruptStatus (SDHC_Type const *base)
| Returns the error Int Status register. More...
__STATIC_INLINE void | Cy_SD_Host_ClearErrorInterruptStatus (SDHC_Type *base, uint32_t status)
| Clears the error interrupt status. More...
__STATIC_INLINE void | Cy_SD_Host_SetErrorInterruptEnable (SDHC_Type *base, uint32_t interrupt)
| Setting a bit in this register allows for the bit to be active in the Int status register. More...
__STATIC_INLINE uint32_t | Cy_SD_Host_GetErrorInterruptEnable (SDHC_Type const *base)
| Returns which error interrupts are enabled. More...
__STATIC_INLINE void | Cy_SD_Host_SetErrorInterruptMask (SDHC_Type *base, uint32_t interruptMask)
| Setting a bit in this register allows the enabled status to cause an interrupt. More...
__STATIC_INLINE uint32_t | Cy_SD_Host_GetErrorInterruptMask (SDHC_Type const *base)
| Returns which error interrupts are masked to cause an interrupt. More...

## Function Documentation

## ◆ Cy_SD_Host_GetNormalInterruptStatus()

__STATIC_INLINE uint32_t Cy_SD_Host_GetNormalInterruptStatus | ( | SDHC_Type const * | base | ) |

Returns the normal Int Status register.

Parameters

  *base | The SD host registers structure pointer.

Returns
  uint32_t The Bit mask of the normal Int Status.

## ◆ Cy_SD_Host_ClearNormalInterruptStatus()

__STATIC_INLINE void Cy_SD_Host_ClearNormalInterruptStatus | ( | SDHC_Type * | base,
|  | uint32_t | status
| ) |  |

Clears the selected SD host normal status.

Parameters

  *base | The SD host registers structure pointer.
  status | The bitmask of statuses to clear.

## ◆ Cy_SD_Host_SetNormalInterruptEnable()

__STATIC_INLINE void Cy_SD_Host_SetNormalInterruptEnable | ( | SDHC_Type * | base,
|  | uint32_t | interrupt
| ) |  |

Sets the bit to be active in the Int status register.

Parameters

  *base | The SD host registers structure pointer.
  interrupt | The Bit field of which normal interrupt status to enable.

## ◆ Cy_SD_Host_GetNormalInterruptEnable()

__STATIC_INLINE uint32_t Cy_SD_Host_GetNormalInterruptEnable | ( | SDHC_Type const * | base | ) |

Returns which normal interrupts are enabled.

Parameters

  *base | The SD host registers structure pointer.

Returns
  uint32_t The Bit field of which normal interrupt statuses are enabled.

## ◆ Cy_SD_Host_SetNormalInterruptMask()

__STATIC_INLINE void Cy_SD_Host_SetNormalInterruptMask | ( | SDHC_Type * | base,
|  | uint32_t | interruptMask
| ) |  |

Setting a bit in this register allows the enabled status to cause an interrupt.

Parameters

  *base | The SD host registers structure pointer.
  interruptMask | The Bit field of which normal interrupts can cause an interrupt.

## ◆ Cy_SD_Host_GetNormalInterruptMask()

__STATIC_INLINE uint32_t Cy_SD_Host_GetNormalInterruptMask | ( | SDHC_Type const * | base | ) |

Returns which normal interrupts are masked to cause an interrupt.

Parameters

  *base | The SD host registers structure pointer.

Returns
  uint32_t The Bit field of which normal interrupts are masked to cause an interrupt.

## ◆ Cy_SD_Host_GetErrorInterruptStatus()

__STATIC_INLINE uint32_t Cy_SD_Host_GetErrorInterruptStatus | ( | SDHC_Type const * | base | ) |

Returns the error Int Status register.

Parameters

  *base | The SD host registers structure pointer.

Returns
  uint32_t The bit mask of the error Int status.

## ◆ Cy_SD_Host_ClearErrorInterruptStatus()

__STATIC_INLINE void Cy_SD_Host_ClearErrorInterruptStatus | ( | SDHC_Type * | base,
|  | uint32_t | status
| ) |  |

Clears the error interrupt status.

Parameters

  *base | The SD host registers structure pointer.
  status | The bitmask of statuses to clear.

## ◆ Cy_SD_Host_SetErrorInterruptEnable()

__STATIC_INLINE void Cy_SD_Host_SetErrorInterruptEnable | ( | SDHC_Type * | base,
|  | uint32_t | interrupt
| ) |  |

Setting a bit in this register allows for the bit to be active in the Int status register.

Parameters

  *base | The SD host registers structure pointer.
  interrupt | The Bit field of which error interrupt status to enable.

## ◆ Cy_SD_Host_GetErrorInterruptEnable()

__STATIC_INLINE uint32_t Cy_SD_Host_GetErrorInterruptEnable | ( | SDHC_Type const * | base | ) |

Returns which error interrupts are enabled.

Parameters

  *base | The SD host registers structure pointer.

Returns
  uint32_t The Bit field of which error interrupt statuses are enabled.

## ◆ Cy_SD_Host_SetErrorInterruptMask()

__STATIC_INLINE void Cy_SD_Host_SetErrorInterruptMask | ( | SDHC_Type * | base,
|  | uint32_t | interruptMask
| ) |  |

Setting a bit in this register allows the enabled status to cause an interrupt.

Parameters

  *base | The SD host registers structure pointer.
  interruptMask | The Bit filed of which error interrupts can cause an interrupt.

## ◆ Cy_SD_Host_GetErrorInterruptMask()

__STATIC_INLINE uint32_t Cy_SD_Host_GetErrorInterruptMask | ( | SDHC_Type const * | base | ) |

Returns which error interrupts are masked to cause an interrupt.

Parameters

  *base | The SD host registers structure pointer.

Returns
  uint32_t The Bit field of which error interrupts are masked to cause an interrupt.